Extract the Vehicle Identification Number (VIN) from an image using OCR
Ever needed to quickly identify a vehicle's VIN from an image? Whether it's for verifying vehicle details or tracking, the VIN OCR API allows you to extract the VIN from an image (either a URL or base64 string) using optical character recognition (OCR) and computer vision. This API is capable of recognizing VINs from a wide range of vehicles, ensuring accurate and detailed vehicle information retrieval.
This endpoint allows you to retrieve a vehicle's VIN.
keyYour CarsXE API key.
image_urlJSON body field containing a URL to an image or the base64 string of the image.
successWhether the algorithm has been able to successfully analyze the VIN from the image.
vinThe extracted VIN number from the image.
confidenceThe confidence score, which is a probability value (between 0 and 1) indicating how certain the algorithm is that the extracted VIN is correct.
messageString detailing error if any.
curl --location 'https://api.carsxe.com/v1/vinocr?key=CARSXE_API_KEY' \
--header 'Content-Type: application/json' \
--data '{"image_url": "https://user-images.githubusercontent.com/5663423/30922082-64edb4fa-a3a8-11e7-873e-3fbcdce8ea3a.png"}'{
"success": true,
"vin": "JHLRD77874C026456",
"box": {
"xmin": 257,
"xmax": 1673,
"ymin": 635,
"ymax": 793
},
"confidence": 0.9834251403808594,
"candidates": [
{
"vin": "JHLRD77874C026456",
"confidence": 0.9834251403808594,
"box": {
"xmin": 257,
"xmax": 1673,
"ymin": 635,
"ymax": 793
}
}
]
}